org.wildfly.swarm.config.management.access.syslog_handler

## Class TlsProtocol<T extends TlsProtocol<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.syslog_handler.TlsProtocol<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class TlsProtocol<T extends TlsProtocol<T>>
      extends HashMap

  Configuration to append to syslog over tls over tcp/ip.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TlsProtocol.TlsProtocolResources` Child mutators for TlsProtocol

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `clientCertificateStoreAuthentication()` Configuration for the keystore containing the client certificate if the syslog server requires authentication.
    `T` | `clientCertificateStoreAuthentication(ClientCertificateStoreAuthentication value)` Configuration for the keystore containing the client certificate if the syslog server requires authentication.
    `T` | `clientCertificateStoreAuthentication(ClientCertificateStoreAuthenticationConsumer consumer)` Configuration for the keystore containing the client certificate if the syslog server requires authentication.
    `T` | `clientCertificateStoreAuthentication(ClientCertificateStoreAuthenticationSupplier supplier)` Configuration for the keystore containing the client certificate if the syslog server requires authentication.
    `String` | `getKey()`
    `String` | `host()` The host of the syslog server for the tls over tcp requests.
    `T` | `host(String value)` The host of the syslog server for the tls over tcp requests.
    `String` | `messageTransfer()` The message transfer setting as described in section 3.4 of RFC-6587.
    `T` | `messageTransfer(String value)` The message transfer setting as described in section 3.4 of RFC-6587.
    `Integer` | `port()` The port of the syslog server for the tls over tcp requests.
    `T` | `port(Integer value)` The port of the syslog server for the tls over tcp requests.
    `Integer` | `reconnectTimeout()` If a connection drop is detected, the number of seconds to wait before reconnecting.
    `T` | `reconnectTimeout(Integer value)` If a connection drop is detected, the number of seconds to wait before reconnecting.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `TlsProtocol.TlsProtocolResources` | `subresources()`
    `T` | `truststoreAuthentication()` Configuration for the truststore for the server certificate, if not signed by an authority.
    `T` | `truststoreAuthentication(TruststoreAuthentication value)` Configuration for the truststore for the server certificate, if not signed by an authority.
    `T` | `truststoreAuthentication(TruststoreAuthenticationConsumer consumer)` Configuration for the truststore for the server certificate, if not signed by an authority.
    `T` | `truststoreAuthentication(TruststoreAuthenticationSupplier supplier)` Configuration for the truststore for the server certificate, if not signed by an authority.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TlsProtocol

          public TlsProtocol()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public TlsProtocol.TlsProtocolResources subresources()

    - #### truststoreAuthentication

          public T truststoreAuthentication(TruststoreAuthentication value)

      Configuration for the truststore for the server certificate, if not signed by an authority.

    - #### truststoreAuthentication

          public T truststoreAuthentication(TruststoreAuthenticationConsumer consumer)

      Configuration for the truststore for the server certificate, if not signed by an authority.

    - #### truststoreAuthentication

          public T truststoreAuthentication()

      Configuration for the truststore for the server certificate, if not signed by an authority.

    - #### truststoreAuthentication

          public T truststoreAuthentication(TruststoreAuthenticationSupplier supplier)

      Configuration for the truststore for the server certificate, if not signed by an authority.

    - #### clientCertificateStoreAuthentication

          public T clientCertificateStoreAuthentication(ClientCertificateStoreAuthentication value)

      Configuration for the keystore containing the client certificate if the syslog server requires authentication.

    - #### clientCertificateStoreAuthentication

          public T clientCertificateStoreAuthentication(ClientCertificateStoreAuthenticationConsumer consumer)

      Configuration for the keystore containing the client certificate if the syslog server requires authentication.

    - #### clientCertificateStoreAuthentication

          public T clientCertificateStoreAuthentication()

      Configuration for the keystore containing the client certificate if the syslog server requires authentication.

    - #### clientCertificateStoreAuthentication

          public T clientCertificateStoreAuthentication(ClientCertificateStoreAuthenticationSupplier supplier)

      Configuration for the keystore containing the client certificate if the syslog server requires authentication.

    - #### host

          public String host()

      The host of the syslog server for the tls over tcp requests.

    - #### host

          public T host(String value)

      The host of the syslog server for the tls over tcp requests.

    - #### messageTransfer

          public String messageTransfer()

      The message transfer setting as described in section 3.4 of RFC-6587. This can either be OCTET_COUNTING as described in section 3.4.1 of RFC-6587, or NON_TRANSPARENT_FRAMING as described in section 3.4.1 of RFC-6587. See your syslog provider's documentation for what is supported.

    - #### messageTransfer

          public T messageTransfer(String value)

      The message transfer setting as described in section 3.4 of RFC-6587. This can either be OCTET_COUNTING as described in section 3.4.1 of RFC-6587, or NON_TRANSPARENT_FRAMING as described in section 3.4.1 of RFC-6587. See your syslog provider's documentation for what is supported.

    - #### port

          public Integer port()

      The port of the syslog server for the tls over tcp requests.

    - #### port

          public T port(Integer value)

      The port of the syslog server for the tls over tcp requests.

    - #### reconnectTimeout

          public Integer reconnectTimeout()

      If a connection drop is detected, the number of seconds to wait before reconnecting. A negative number means don't reconnect automatically.

    - #### reconnectTimeout

          public T reconnectTimeout(Integer value)

      If a connection drop is detected, the number of seconds to wait before reconnecting. A negative number means don't reconnect automatically.

Copyright © 2017 JBoss by Red Hat. All rights reserved.